## gnome-keyring 2.30.3

=== debian/changelog ===
gnome-keyring (2.30.3-5) unstable; urgency=low

  * 07_keyring_encoding.patch: patch from upstream git. Correctly handle 
    keyring names with non-ascii characters.
    Closes: #591659, LP: #553759.

 -- Josselin Mouette <joss@debian.org>  Tue, 11 Jan 2011 20:28:48 +0100

gnome-keyring (2.30.3-4) unstable; urgency=low

  * 06_init_timeout.patch: follow upstream and use a 120 second timeout 
    instead of 10. Closes: #603387.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Nov 2010 17:46:27 +0100

gnome-keyring (2.30.3-3) unstable; urgency=low

  * 06_init_timeout.patch: new patch. Exit the daemon when started 
    through the PAM module if it is not initialized in 10 seconds. This 
    avoids leaking gnome-keyring-daemon processes everywhere.

 -- Josselin Mouette <joss@debian.org>  Sat, 09 Oct 2010 09:50:46 +0200

gnome-keyring (2.30.3-2) unstable; urgency=high

  * 10_debugging_output.patch: new patch. Stop spewing sensitive 
    information in the system logs. Note that it does *not* spew actual 
    keys or passphrases. This bug was introduced in 2.30.
    Credits go to Romain Françoise for the discovery.

 -- Josselin Mouette <joss@debian.org>  Tue, 05 Oct 2010 19:20:54 +0200

gnome-keyring (2.30.3-1) unstable; urgency=low

  * New upstream stable release.
  * Refresh patches for new upstream release.
  * Remove debian/org.freedesktop.secrets.service, merged upstream.
  * debian/control.in
    - Bump Standards-Version to 3.9.0. No further changes.
    - Add Vcs-Browser and Vcs-Svn fields.
    - Add Homepage field.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Jul 2010 04:36:32 +0200

gnome-keyring (2.30.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Update README.Debian to match reality.

  [ Sjoerd Simons ]
  * Add service file for org.freedesktop.secrets to ensure gnome-keyring gets
    autolaunched when it's needed.

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 27 Apr 2010 23:11:24 +0100

gnome-keyring (2.30.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control.in:
      - Required GTK+ >= 2.20.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Apr 2010 09:35:21 +0200

gnome-keyring (2.30.0-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/05_hurd_maxpathlen.patch:
    - Fix build on Hurd, again (MAXPATHLEN reintroduced).
  * debian/control.in,
    debian/rules,
    debian/patches/*,
    debian/source/format:
    - Switch to source format 3.0 (quilt).
  * debian/rules:
    - Pass -c4 to dpkg-gensymbols for stricter checks.

  [ Josselin Mouette ]
  * Break libgnome-keyring0 < 2.30. Closes: #577624.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 21:27:28 +0200

gnome-keyring (2.30.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * The library only suggests the daemon. Closes: #563358.
  * 03_kfreebsd.patch: new version of the patch. Closes: #558406 again.

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/control.in,
      debian/libgnome-keyring*:
      - Dropped libgnome-keyring package, it has its own source package now.
    + debian/control.in:
      - Drop GConf build dependency.
    + debian/patches/04_maxpathlen_hurd.patch:
      - Dropped, merged upstream.
    + debian/patches/10_whitelist_system.patch:
      - Dropped, relevant code does not exist anymore.
    + debian/patches/04_link-libtasns1.patch:
      - Fix linking with libtasn1.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Apr 2010 12:49:53 +0200

gnome-keyring (2.28.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * 03_kfreebsd.patch: patch from Emmanuel Bouthenot to add kFreeBSD 
    support. Closes: #558406.

  [ Emilio Pozuelo Monfort ]
  * Switch to quilt, refresh patches.
  * debian/patches/04_maxpathlen_hurd.patch:
    - New patch, switch to dynamic allocation to avoid using
      MAXPATHLEN. Fixes FTBFS on GNU/Hurd.
  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 14 Dec 2009 19:50:03 +0100

gnome-keyring (2.28.1-2) unstable; urgency=low

  * 10_whitelist_system.patch: new patch. Whitelist some system 
    directories (/usr/bin and /usr/lib) to avoid drowning the user under 
    useless dialogs. If anything evil can be installed in these 
    directories, all users on the system are doomed and we can give up 
    on any kind of security.

 -- Josselin Mouette <joss@debian.org>  Fri, 20 Nov 2009 18:09:05 +0100

gnome-keyring (2.28.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Install the autostart file in /usr/share/gnome, not /etc/xdg.
  * Remove the old file in the postinst.
  * Remove .la file, it’s not references anywhere anymore.
  * Drop clean-la.mk include as well.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - Wait until env variables are set on startup. Closes: #516230.
    - debian/control.in:
      + Don't build depend on libhal-storage-dev nor suggest hal,
        we now use libgio to monitor volumes.
      + Only require libtasn1-3-dev >= 0.3.4, not >= 1.0.
    - debian/patches/02_uidir_relocate.patch:
      + Updated.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/watch: Don't uupdate.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 20 Oct 2009 14:22:49 +0200

gnome-keyring (2.26.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes numerous crashes in the memory allocator.
      Hopefully closes: #522826 for good.
  * Update build-dependencies.
  * Install API documentation for libgcr.
  * 03_secure-mem_crash.patch: dropped, merged upstream.
  * 04_full_path_in_service.patch: dropped, fixed upstream in another 
    way.
  * Fix FSF address in copyright file.

 -- Josselin Mouette <joss@debian.org>  Fri, 15 May 2009 11:25:28 +0200

gnome-keyring (2.26.0-4) unstable; urgency=low

  * debian/patches/04_full_path_in_service.patch: Added. Put the full path to
    gnome-keyring-daemon in the .service file. Fixes dbus autostarting the
    daemon on demand


