=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-keyring
Section: gnome
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs,
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.35.0),
               libgtk2.0-dev (>= 2.20.0),
               libglib2.0-dev (>= 2.16.0),
               libtasn1-3-dev (>= 0.3.4),
               libtasn1-3-bin,
               gtk-doc-tools (>= 1.9),
               docbook-xml,
               libdbus-1-dev (>= 1.0),
               libgcrypt11-dev (>= 1.2.2),
               libpam0g-dev,
               libglib2.0-doc
Standards-Version: 3.9.0
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gnome-keyring/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-keyring/
Homepage: http://live.gnome.org/GnomeKeyring

Package: gnome-keyring
Section: gnome
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus-x11
Breaks: libgnome-keyring0 (<< 2.30)
Recommends: libpam-gnome-keyring
Description: GNOME keyring services (daemon and tools)
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 The program can manage several keyrings, each with its own master
 password, and there is also a session keyring which is never stored to
 disk, but forgotten when the session ends.

Package: libgp11-dev
Section: libdevel
Architecture: any
Replaces: libgnome-keyring-dev (<< 2.25)
Depends: ${misc:Depends},
         libgp11-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.16)
Description: GLib wrapper library for PKCS#11 - development
 GP11 is a wrapper based on GLib implementing the PKCS#11 (Cryptoki) 
 interface.
 .
 This package contains the static libraries, header files and 
 documentation needed to build applications using the GP11 library.

Package: libgp11-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Glib wrapper library for PKCS#11 - runtime
 GP11 is a wrapper based on GLib implementing the PKCS#11 (Cryptoki) 
 interface.
 .
 This package contains the shared libraries needed to run programs 
 built against the GP11 library.

Package: libpam-gnome-keyring
Section: admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpam-runtime (>= 1.0.1-6)
Recommends: gnome-keyring
Conflicts: libpam-keyring
Replaces: libpam-keyring
Provides: libpam-keyring
Description: PAM module to unlock the GNOME keyring upon login
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 This package contains a PAM module that will automatically unlock the 
 keyrings using your login password, making gnome-keyring usage 
 transparent without losing its security benefits.
 .
 When installed, this module will automatically be used by GDM and 
 gnome-screensaver to unlock your keyrings when logging in and when 
 unlocking the screen saver.

Package: libgcr-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgcr0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.16.0),
         libgp11-dev (= ${binary:Version}),
         libgtk2.0-dev (>= 2.20.0),
         libtasn1-3-dev (>= 0.3.4),
         libtasn1-3-bin
Description: Library for Crypto UI related task - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCR library.

Package: libgcr0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library for Crypto UI related task - runtime
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the shared libraries needed to run programs
 built against the GCR library.
