=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS := -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --with-pam-dir=/lib/security \
                             --with-root-certs=/etc/ssl/certs

DEB_DH_MAKESHLIBS_ARGS_gnome-keyring := --no-act
DEB_DH_MAKESHLIBS_ARGS_libgcr0 += -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgp11-0 += -- -c4
