=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/([\d\.]+)[02468]/ \
        gnome-keyring-(.*)\.tar\.gz
