## gnome-keyring 3.0.3

=== debian/changelog ===
gnome-keyring (3.0.3-2) unstable; urgency=low

  * Re-add libgcr0 and libgcr-dev packages

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 31 May 2011 19:59:00 -0700

gnome-keyring (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Move to *.bz2, upstream does not release .gz tarballs any
    more.

 -- Martin Pitt <mpitt@debian.org>  Tue, 31 May 2011 07:17:56 +0200

gnome-keyring (3.0.2-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/patches/04_expand_LIBEXECDIR.patch: Drop patch, applied from
    upstream
  * debian/rules: Enable tests
  * debian/patches/01_fix_glib_link.patch: Fix FTBFS with --no-add-needed

  [ Martin Pitt ]
  * New upstream release.
  * debian/libgcr-3-0.symbols: Add new symbols from this upstream release.
  * Drop 01_fix_glib_link.patch, applied upstream.
  * debian/rules: As the PKCS11 tests often fail right now, don't cause test
    suite failures to fail the build. Let's see how well this works on the
    Debian buildds first.

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 May 2011 11:34:04 +0200

gnome-keyring (3.0.0-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Break libgnome-keyring < 3.0.
  * Fail gracefully when capabilities are not supported.
    Closes: #622875, #623335.
  * Break seahorse-plugins < 3.0, since it takes over the GPG 
    functionality.
  * README.Debian: document how to disable gnome-keyring components.
    Closes: #623539.

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Apr 2011 19:36:47 +0200

gnome-keyring (3.0.0-2) unstable; urgency=low

  * Upload to unstable.
  * Rename libgcr-dev to libgcr-3-dev, to allow for a future GTK+2-based
    build, if needed.
  * Bump Standards-Version to 3.9.2, with no changes required.

 -- Jordi Mallach <jordi@debian.org>  Thu, 14 Apr 2011 23:18:31 +0200

gnome-keyring (3.0.0-1) experimental; urgency=low

  * New upstream release
  * Drop debian/patches/01_pam-logging-less-verbose.patch,
    debian/patches/05_use_in_xfce.patch: Applied upstream
  * debian/libgcr-3-0.symbols: Adjust .symbols file
  * debian/gnome-keyring.install: Also install /usr/share/applications/
  * debian/patches/04_expand_LIBEXECDIR.patch: Correctly expand LIBEXECDIR
    in gnome-keyring-prompt.desktop

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Apr 2011 23:25:25 +0200

gnome-keyring (2.91.91-1) experimental; urgency=low

  * New upstream release
  * debian/control.in:
    - Add libcap-dev as build-dependency for linux-any
    - Make gnome-keyring Depends against libcap2-bin for linux-any
    - Vcs-Browser: Use viewsvn instead the horrible wsvn
  * debian/gnome-keyring.postinst:
    - Set CAP_IPC_LOCK capability on gnome-keyring-daemon.
      This would permit gnome-keyring to overcome limits on locked memory
      and prevent private keys to be swapped out.
    - Do not cleanup .desktop files from /etc/xdg/autostart as we are shipping
      them again in that directory
  * debian/libgcr-3-0.symbols, debian/libgck0.symbols: Adjusts symbols files
  * debian/patches/04_link-libtasns1.patch,
    d/p/0001-Link-directly-to-gmodule-for-the-modules-that-need-i.patch:
    Drop patches, not needed anymore
  * debian/patches/05_use_in_xfce.patch: Make gnome-keyring-daemon also start
    for XFCE, taken from Ubuntu
  * debian/gnome-keyring.install:
    - Drop debian/tmp/usr/share/gnome-keyring/introspect,
      debian/tmp/etc/xdg/pkcs11.conf.defaults
    - Move back .desktop files to /etc/xdg/autostart to also startup
      gnome-keyring-daemon for Lxde and Xfce (Closes: #599757)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 10 Mar 2011 22:20:24 +0100

gnome-keyring (2.91.4-3) experimental; urgency=low

  * debian/control.in:
    - Update for the new gtk+ package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:33:53 +0000

gnome-keyring (2.91.4-2) experimental; urgency=low

  * debian/rules,
    debian/control.in:
    - Don't add quilt support, source format 3.0 (quilt) does that for us.
    - Build depend on ca-certificates and let the configure script
      autodetect the certificates dir. Closes: #608003.
  * debian/rules:
    - Reorder includes a bit.
  * debian/libgcr-3-0.symbols:
    - Add a Build-Depends-Package line to get proper dependencies when a
      package build-depends on a higher version of libgcr-dev than what
      it gets from the used symbols.
  * debian/libgcr-3-0.shlibs,
    debian/libgck0.shlibs,
    debian/rules:
    - Generate the shlibs files at build time, and make them depend on the
      upstream version. We have .symbols files anyway, and updating the
      shlibs version is error prone. This puts us on the safe side.
  * debian/control.in:
    - Bump libgtk3.0-dev build dependency.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:50:20 +0000

gnome-keyring (2.91.4-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Install gnome-keyring-prompt-3. Closes: #607192.

  [ Sjoerd Simons ]
  * New upstream release
  * patches/0001-Link-directly-to-gmodule-for-the-modules-that-need-i.patch
    + Added. Fix build with -Wl,--as-needed
  * gnome-keyring.install: Install pkcs11 modules and config files
  * libgck0.symbols, libgcr-3-0.symbols: Update symbols file
  * debian/rules: Add quilt patchsys and use list-missing

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 25 Dec 2010 21:30:35 +0100

gnome-keyring (2.91.3-1) experimental; urgency=low

  * New upstream release
    - Drop debian/patches/06_init_timeout.patch: Merged upstream
  * debian/control.in:
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Remove duplicate Section to please lintian
    - Bump glib {build-}dependencies to 2.25.0

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Dec 2010 17:34:49 +0100

gnome-keyring (2.91.1-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * Update soname of libgcr
  * Update install files
  * debian/patches/02_uidir_relocate.patch:
    + Removed, merged upstream

