=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = debian/build
DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/install/@FLAVOR@
DEB_MAKE_FLAVORS = gtk2 gtk3

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS := -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

DEB_MAKE_CHECK_TARGET := -k check || true

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --with-pam-dir=/lib/security \
                             --enable-gtk-doc

DEB_CONFIGURE_FLAGS_gtk3 = --with-gtk=3.0
DEB_CONFIGURE_FLAGS_gtk2 = --with-gtk=2.0

# Default installation source dir is the gtk3, override for gtk2 based library
# packages only
DEB_DH_INSTALL_SOURCEDIR = $(or $(DEB_DH_INSTALL_SOURCEDIR_$(cdbs_curpkg)),$(DEB_DH_INSTALL_SOURCEDIR_ALL))
DEB_DH_INSTALL_SOURCEDIR_ALL = debian/install/gtk3
DEB_DH_INSTALL_SOURCEDIR_libgcr0 = debian/install/gtk2
DEB_DH_INSTALL_SOURCEDIR_libgcr-dev = debian/install/gtk2

DEB_DH_MAKESHLIBS_ARGS_gnome-keyring := --no-act
DEB_DH_MAKESHLIBS_ARGS_libgcr0 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgcr-3-0 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgck0 += -V -- -c4

common-binary-post-install-arch:: list-missing

install/libpam-gnome-keyring::
	cp -r debian/pam-configs debian/install/gtk3/usr/share
