## gnome-keyring 3.2.0

=== debian/changelog ===
gnome-keyring (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Don't install setuid when filesystem capabilities not avail.

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 26 Sep 2011 08:59:56 -0400

gnome-keyring (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Add back the file format "documentation"
    - Make .desktop file match prompt process so icon and title are shown
    - Fix packaging issues installing the pkcs11 module
    - return correct error code in gpg-agent for unimplemented stuff
    - Fixes for parsing/viewing various (sometimes slightly invalid) PKCS#12 files
    - Allow daemon to access secrets of internal PKCS#11 modules, so that we can
      do things like hash NTLM and Kerberos secrets in the future.
    - Build and documentation fixes
    - Updated translations
  * debian/control.in: Bump libp11-kit-dev build dependency to >= 0.6
    according to configure.ac.
  * Drop 01_git_fix_build.patch, upstream now.
  * Drop 05_correct_gpg_agent_error_code.patch, upstream now.
  * 99_ltmain_as-needed.patch: Refresh.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 18 Sep 2011 14:58:20 +0200

gnome-keyring (3.1.91-0ubuntu4) oneiric; urgency=low

  * debian/patches/05_correct_gpg_agent_error_code.patch:
    - Return correct error code for unimplemented GETINFO requests to
      the agent (LP: #681002)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 14 Sep 2011 14:36:02 -0400

gnome-keyring (3.1.91-0ubuntu3) oneiric; urgency=low

  * gnome-keyring.gsettings-override: 
    - set the default keyserver to the ubuntu one (used to be in seahorse)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Sep 2011 23:36:45 +0200

gnome-keyring (3.1.91-0ubuntu2) oneiric; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
    - Added gcr-viewer app
  * debian/patches/05_revert_gcr_soname_bump.patch:
    - Dropped, applied usptream

  [ Rodrigo Moya ]
  * debian/patches/01_git_fix_build.patch:
    - Fix linking of gcr-viewer
  * debian/libgcr-3-1.symbols:
  * debian/libgck-1-0.symbols:
    - Added new symbols

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 06 Sep 2011 10:34:09 +0200

gnome-keyring (3.1.4-0ubuntu2) oneiric; urgency=low

  * libgck-1-dev should depend on libp11-kit-dev
    - update debian/control.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 19 Aug 2011 14:22:20 +0100

gnome-keyring (3.1.4-0ubuntu1) oneiric; urgency=low

  [ Chris Coulson ]
  * New upstream release
  * Drop the multi-flavor (gtk2/gtk3) build - the new version supports
    only gtk3
    - update debian/rules
    - bump debian/compat to 7, else we need to add debian/tmp back to all
      the install files so that dh_install can find them (or continue to
      specify DEB_DH_INSTALL_SOURCEDIR in debian/rules)
    - Drop libgcr1 and libgcr-dev from debian/control.in
    - Remove debian/libgcr1.install and debian/libgcr-dev.install
    - Drop the libgtk2.0-dev build-depend
  * Update for the libgck -> libgck-1 soname change
    - update debian/control
    - rename debian/libgck0.install => debian/libgck-1-0.install
    - update debian/libgck-1-0.install
    - rename debian/libgck0.symbols => debian/libgck-1-0.symbols
    - update debian/libgck-1-0.symbols
    - rename debian/libgck-dev.install => debian/libgck-1-dev.install
    - update debian/libgck-1-dev.install
  * Update symbols for libgcr-3. Note that upstream removed some symbols
    without bumping the soname (in addition to adding symbols). However,
    these aren't actually used anywhere, and they have only ever existed
    in the current unstable series so we just ignore this for now :/
    - update debian/libgcr-3-1.symbols
  * Drop debian/patches/05_onlyshowin_unity.patch - fixed upstream
  * Add build-depend on libp11-kit-dev
  * Install the contents of /usr/share/icons and /etc/pkcs11
    - update debian/gnome-keyring.install
  * Revert an unintentional change of the libgcr soname to an older version
    - add debian/patches/05_revert_gcr_soname_bump.patch
    - update debian/patches/series

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/99git_fs_caps_11a5d41.patch,
    debian/patches/99git_ipc_lock_caps_ad67edd.patch: dropped, included in
    release upstream tarball.

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 10 Aug 2011 12:29:33 +0100

gnome-keyring (3.1.1-0ubuntu4) oneiric; urgency=low

  * Use chroot /target instead of in-target in the ubiquity hook.
    This is to avoid locking the installer. (LP: #820485)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 03 Aug 2011 15:28:01 -0400

gnome-keyring (3.1.1-0ubuntu3) oneiric; urgency=low

  * debian/patches/99git_fs_caps_11a5d41.patch: cherry-pick patch from git:
    improve checks for FS capabilities. 
  * debian/patches/99git_ipc_lock_caps_ad67edd.patch: cherry-pick patch from
    git: accept to run if ipc_lock capability is not available. (LP: #813755)
  * debian/gnome-keyring.ubiquity: apply capabilities at the end of the
    ubiquity process to make sure new installs have gnome-keyring-daemon with
    cap_ipc_lock+ep.
  * debian/rules: install ubiquity target-config script.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 02 Aug 2011 15:42:31 -0400

gnome-keyring (3.1.1-0ubuntu2) oneiric; urgency=low

  * debian/rules: Disable test suite during package build. It keeps hanging on
    the buildds, which still run a lucid kernel.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jul 2011 10:09:32 +0200

gnome-keyring (3.1.1-0ubuntu1) oneiric; urgency=low

  * debian/watch: Look for unstable versions.
  * New upstream release
  * debian/control.in: libcap-dev → libcap-ng-dev build dependency, as per new
    upstream configure.ac.
  * SONAME bump of libgcr0 to libgcr1.
  * SONAME bump of libgcr-3-0 to libgcr-3-1.
  * debian/libgcr-3-1.symbols: Update for changed symbols.
  * debian/control: Add Replaces: to libgcr0 and libgcr-3-0, as they share
    /usr/share/gcr/ui/*.ui.


