=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Source: gnome-keyring
 Section: gnome
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5),
                dh-autoreconf,
                cdbs,
                gnome-pkg-tools (>= 0.10),
                intltool (>= 0.35.0),
-               libgtk2.0-dev,
                libgtk-3-dev (>= 3.0.0),
                libglib2.0-dev (>= 2.25.0),
                libtasn1-3-dev (>= 0.3.4),
@@ -25,7 +25,8 @@
                libpam0g-dev,
                ca-certificates,
                libglib2.0-doc,
-               libcap-dev [linux-any]
+               libcap-ng-dev [linux-any],
+               libp11-kit-dev (>= 0.6)
 Standards-Version: 3.9.2
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gnome-keyring/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-keyring/
@@ -49,13 +50,16 @@
  password, and there is also a session keyring which is never stored to
  disk, but forgotten when the session ends.
 
-Package: libgck-dev
+Package: libgck-1-dev
 Section: libdevel
 Architecture: any
-Replaces: libgnome-keyring-dev (<< 2.25)
+Breaks: libgck-dev
+Replaces: libgnome-keyring-dev (<< 2.25),
+          libgck-dev
 Depends: ${misc:Depends},
-         libgck0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.25.0)
+         libgck-1-0 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.25.0),
+         libp11-kit-dev
 Description: GLib wrapper library for PKCS#11 - development
  GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
  interface.
@@ -63,7 +67,7 @@
  This package contains the static libraries, header files and
  documentation needed to build applications using the GCK library.
 
-Package: libgck0
+Package: libgck-1-0
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
@@ -98,41 +102,13 @@
  gnome-screensaver to unlock your keyrings when logging in and when
  unlocking the screen saver.
 
-Package: libgcr-dev
-Section: libdevel
-Architecture: any
-Depends: ${misc:Depends},
-         libgcr0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.25.0),
-         libgck-dev (= ${binary:Version}),
-         libgtk2.0-dev,
-         libtasn1-3-dev (>= 0.3.4),
-         libtasn1-3-bin
-Description: Library for Crypto UI related task - development
- GCR is a library for crypto UI and related tasks.
- .
- This package contains the static libraries, header files and
- documentation needed to build applications using the Gtk+ 2.0 version of the
- GCR library.
-
-Package: libgcr0
-Section: libs
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Description: Library for Crypto UI related task - runtime
- GCR is a library for crypto UI and related tasks.
- .
- This package contains the shared libraries needed to run programs
- built against the Gtk+ 2.0 version of the GCR library.
-
 Package: libgcr-3-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libgcr-3-0 (= ${binary:Version}),
+         libgcr-3-1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.25.0),
-         libgck-dev (= ${binary:Version}),
+         libgck-1-dev (= ${binary:Version}),
          libgtk-3-dev (>= 3.0.0),
          libtasn1-3-dev (>= 0.3.4),
          libtasn1-3-bin
@@ -145,11 +121,12 @@
  documentation needed to build applications using the Gtk+ 3.0 version of the
  GCR library.
 
-Package: libgcr-3-0
+Package: libgcr-3-1
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Replaces: libgcr-3-0
 Description: Library for Crypto UI related task - runtime
  GCR is a library for crypto UI and related tasks.
  .
