=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS := -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

#DEB_MAKE_CHECK_TARGET := -k check || true

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --with-pam-dir=/lib/security \
                             --enable-gtk-doc

DEB_DH_MAKESHLIBS_ARGS_gnome-keyring := --no-act
DEB_DH_MAKESHLIBS_ARGS_libgcr-3-0 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgck0 += -V -- -c4

common-binary-post-install-arch:: list-missing

install/gnome-keyring::
	install -m0755 -D debian/gnome-keyring.ubiquity \
		debian/gnome-keyring/usr/lib/ubiquity/target-config/50gkd-caps

install/libpam-gnome-keyring::
	cp -r debian/pam-configs debian/tmp/usr/share
