## gnome-keyring 3.2.2

=== debian/changelog ===
gnome-keyring (3.2.2-2ubuntu4) precise; urgency=low

  * debian/rules:
    - Disable tests.  They are known to be racy.  I've been trying to rebuild
      i386 for a few days, but in order to get everything built for Final
      Freeze, I'm just disabling them.  Apparently, the tests work better in
      upstream 3.4, so next cycle we should re-enable them.
      (The tests normally didn't fail a build anyway, since they have || true,
      but this particular failure involved them never returning and the build
      times out.)

 -- Michael Terry <mterry@ubuntu.com>  Thu, 12 Apr 2012 09:14:28 -0400

gnome-keyring (3.2.2-2ubuntu3) precise; urgency=low

  * debian/patches/05_grab_tracking.patch: track when we ungrabbed the keyboard
    because the window state changed so that we only re-grab it when
    we had initially ungrabbed it for this reason. (LP: #931958)

 -- Sam Spilsbury <sam.spilsbury@canonical.com>  Tue, 03 Apr 2012 15:46:24 +0800

gnome-keyring (3.2.2-2ubuntu2) precise; urgency=low

  * ubiquity-hook: Call 'logger' instead of 'echo' so that the error is
    actually recorded and it doesn't confuse debconf. (LP: #964857)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Mar 2012 14:58:36 -0400

gnome-keyring (3.2.2-2ubuntu1) precise; urgency=low

  * Synchronizing on Debian including fix for '"gnome-keyring:: no socket to 
    connect to" errors in non GNOME sessions' (lp: #914305)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 01 Feb 2012 15:38:26 +0100

gnome-keyring (3.2.2-2) unstable; urgency=low

  [ Martin Pitt ]
  * Add 00git_gmodule_include.patch: Fix FTBFS due to missing gmodule package
    check when building against glib 2.31.
  * Add 00git_glib_2.31_deprecations.patch: Fix deprecated API for building
    with glib 2.31. Backported from upstream git head. (LP: #911125)

  [ Michael Biebl ]
  * Add 00git_rpc-layer-Correctly-handle-case-where-gnome-keyring-.patch:
    Correctly handle case where gnome-keyring-daemon is not running. Fixes the
    infamous "gnome-keyring:: no socket to connect to" warning from the
    gnome-keyring pam module. Closes: #649408
  * Drop debian/patches/99_ltmain_as-needed.patch: It conflicts with
    dh-autoreconf.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jan 2012 20:02:03 +0100

gnome-keyring (3.2.2-1ubuntu2) precise; urgency=low

  * debian/control.in: Fix typo in Breaks/Replaces. (LP: #911232)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jan 2012 15:13:54 +0100

gnome-keyring (3.2.2-1ubuntu1) precise; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Add debian/gnome-keyring.gsettings-override: Prefer
      keyserver.ubuntu.com.
    - Add debian/gnome-keyring.ubiquity: Apply capabilities at the end of the
      ubiquity process to make sure new installs have gnome-keyring-daemon with
      cap_ipc_lock+ep. Install this in debian/rules.
    - Add 04_nodisplay_autostart.patch: Clean up Startup Applications dialog
      by hiding default apps.
    - debian/watch: Watch for development versions.
  * Add 01_gmodule_include.patch: Fix FTBFS due to missing include/wrong
    linking.
  * Add 00git_glib_2.31_deprecations.patch: Fix deprecated API for building
    with glib 2.31. Backported from upstream git head. (LP: #911125)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jan 2012 12:49:49 +0100

gnome-keyring (3.2.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.
  * Drop libgcr0 and libgcr-dev again, upstream no longer supports GTK 2
    builds.
  * Bump debhelper compatibility level to 8.
  * Add Build-Depends on libp11-kit-dev (>= 0.6).
  * Change Build-Depends on libcap-dev to libcap-ng-dev.
  * debian/watch: Track .xz tarballs.
  * debian/rules: Don't run update-mime-database utility.

  [ Jordi Mallach ]
  * Update Vcs-* URLs.

  [ Michael Biebl ]
  * debian/gnome-keyring.install: Install icons, mime types, pkcs11 config
    files and the pkcs11 modules from the multiarch paths.
  * Update for the soname bumps of libgcr and libgck:
    - Rename libgck0 → libgck-1-0.
    - Rename libgck-dev → libgck-1-dev.
    - Rename libgcr-3-0 → libgcr-3-1.
    - Update symbols files.
  * Split the API documentation into libgck-1-doc and libgcr-3-doc and add the
    necessary Breaks/Replaces.
  * Split the data files from libgcr-3-1 into a libgcr-3-common package and
    make libgcr-3-1 depend on it.
  * Make the -dev packages depend on libp11-kit-dev.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Nov 2011 15:01:44 +0100
