=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-keyring
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               cdbs,
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.35.0),
               libgtk-3-dev (>= 3.0.0),
               libglib2.0-dev (>= 2.25.0),
               libtasn1-3-dev (>= 0.3.4),
               libtasn1-3-bin,
               gtk-doc-tools (>= 1.9),
               docbook-xml,
               libdbus-1-dev (>= 1.0),
               libgcrypt11-dev (>= 1.2.2),
               libp11-kit-dev (>= 0.6),
               libpam0g-dev,
               ca-certificates,
               libglib2.0-doc,
               libcap-ng-dev [linux-any]
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-keyring/ubuntu
Homepage: http://live.gnome.org/GnomeKeyring

Package: gnome-keyring
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus-x11,
         libcap2-bin [linux-any]
Recommends: libpam-gnome-keyring
Breaks: libgnome-keyring0 (<< 3.0),
        seahorse-plugins (<< 3.0)
Description: GNOME keyring services (daemon and tools)
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 The program can manage several keyrings, each with its own master
 password, and there is also a session keyring which is never stored to
 disk, but forgotten when the session ends.

Package: libpam-gnome-keyring
Section: admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpam-runtime (>= 1.0.1-6)
Recommends: gnome-keyring
Conflicts: libpam-keyring
Replaces: libpam-keyring
Provides: libpam-keyring
Description: PAM module to unlock the GNOME keyring upon login
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 This package contains a PAM module that will automatically unlock the
 keyrings using your login password, making gnome-keyring usage
 transparent without losing its security benefits.
 .
 When installed, this module will automatically be used by GDM and
 gnome-screensaver to unlock your keyrings when logging in and when
 unlocking the screen saver.

Package: libgck-1-dev
Section: libdevel
Architecture: any
Replaces: libgnome-keyring-dev (<< 2.25)
Depends: ${misc:Depends},
         libgck-1-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.25.0),
         libp11-kit-dev
Suggests: libgck-1-doc
Description: GLib wrapper library for PKCS#11 - development
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCK library.

Package: libgck-1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Replaces: libgck-dev (<< 3.2.2-1)
Breaks: libgck-dev (<< 3.2.2-1)
Description: GLib wrapper library for PKCS#11 - documentation
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the API documentation for the GCK library.

Package: libgck-1-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Glib wrapper library for PKCS#11 - runtime
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the shared libraries needed to run programs
 built against the GCK library.

Package: libgcr-3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgcr-3-1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.25.0),
         libgck-1-dev (= ${binary:Version}),
         libgtk-3-dev (>= 3.0.0),
         libtasn1-3-dev (>= 0.3.4),
         libtasn1-3-bin,
         libp11-kit-dev
Suggests: libgcr-3-doc
Replaces: libgcr-dev (<< 3.0.0-2~)
Breaks: libgcr-dev (<< 3.0.0-2~)
Description: Library for Crypto UI related task - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCR library.

Package: libgcr-3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Replaces: libgcr-3-dev (<< 3.2.2-1)
Breaks: libgcr-3-dev (<< 3.2.2-1)
Description: Library for Crypto UI related task - documentation
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the API documentation for the GCR library.

Package: libgcr-3-1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgcr-3-common
Description: Library for Crypto UI related task - runtime
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the shared libraries needed to run programs
 built against the GCR library.

Package: libgcr-3-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Replaces: libgcr-3-1 (<< 3.2.2-1)
Breaks: libgcr-3-1 (<< 3.2.2-1)
Description: Library for Crypto UI related task - common files
 GCR is a library for crypto UI and related tasks.
 .
 This package contains data files uses by the GCR library.
