=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,10 @@
 
 #DEB_MAKE_CHECK_TARGET := -k check || true
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --with-pam-dir=/lib/security \
-                             --enable-gtk-doc
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
+                             --with-pam-dir=/lib/security \
+                             --enable-gtk-doc \
+                             --disable-update-mime
 
 DEB_DH_MAKESHLIBS_ARGS_gnome-keyring := --no-act
 DEB_DH_MAKESHLIBS_ARGS_libgcr-3-0 += -V -- -c4
@@ -21,8 +23,5 @@
 common-binary-post-install-arch:: list-missing
 
 install/gnome-keyring::
-	install -m0755 -D debian/gnome-keyring.ubiquity \
-		debian/gnome-keyring/usr/lib/ubiquity/target-config/50gkd-caps
+	install -m0755 -D debian/gnome-keyring.ubiquity debian/gnome-keyring/usr/lib/ubiquity/target-config/50gkd-caps
 
-install/libpam-gnome-keyring::
-	cp -r debian/pam-configs debian/tmp/usr/share
