=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/([\d\.]+)/ \
        gnome-keyring-(.*)\.tar\.bz2
